domxml_xslt_stylesheet_file
domxml_xslt_version
DOM XML (PHP 4) Functions
PHP Manual

# domxml_xslt_stylesheet

(PHP 4 >= 4.2.0)

domxml_xslt_stylesheet — Creates a DomXsltStylesheet object from an XSL document in a string

### Description

DomXsltStylesheet domxml_xslt_stylesheet ( string `$xsl_buf` )

Creates a DomXsltStylesheet object from the given XSL buffer.

### Parameters

`xsl_buf`

  The XSL document, as a string.

### Return Values

Returns a new instance of DomXsltStylesheet.

### Migrating to PHP 5

Call XSLTProcessor::importStylesheet() with DOMDocument::loadXML($xsl_buf) as parameter.

### See Also

- DomXsltStylesheet->process
- domxml_xslt_stylesheet_file() - Creates a DomXsltStylesheet Object from an XSL document in a file
- domxml_xslt_stylesheet_doc() - Creates a DomXsltStylesheet Object from a DomDocument Object

domxml_xslt_stylesheet_file
domxml_xslt_version
DOM XML (PHP 4) Functions
PHP Manual